Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Interface IDocument

public interface IDocument

Interface fuer DocumentEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer DocumentEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addDocumentListener(DocumentListener listener)` Fuegt dem Control den uebergebenen Listener als DocumentListener hinzu.
`String` | `getActionClassForDocument()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein DocumentEvent ausgeloest wurde.
`void` | `removeDocumentListener(DocumentListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForDocument(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein DocumentEvent ausgeloest wurde.

Method Detail

### getActionClassForDocument

    public String getActionClassForDocument()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein DocumentEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer DocumentEvent.

### setActionClassForDocument

    public void setActionClassForDocument(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein DocumentEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer DocumentEvent.

### addDocumentListener

    public void addDocumentListener(DocumentListener listener)

  Fuegt dem Control den uebergebenen Listener als DocumentListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende DocumentListener.

### removeDocumentListener

    public void removeDocumentListener(DocumentListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD